This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1261734 - clicks cannot change windows focus and hot corner doesn't register mouse location until right click - also cannot go out of focus in fullscreen flash
clicks cannot change windows focus and hot corner doesn't register mouse loca...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
22
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-10 01:26 EDT by linuxfedora1
Modified: 2016-07-19 15:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 15:18:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description linuxfedora1 2015-09-10 01:26:46 EDT
User-Agent:       Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:40.0) Gecko/20100101 Firefox/40.0
Build Identifier: 

Using Fedora 22 with GNOME
However, similar problem has persisted in previous Fedora versions, but sometimes not as noticeable.

Using a dual monitor setup but happens on one screen also.

Currently the focus in in my firefox window, however, I'm unable to activate the hot corner to bring forth the window selection screen.  I'm also unable to activate the other firefox window on the secondary monitor.

It is not limited to firefox but other windows as well.

To exit this "stuck" mode, I need to right click the current focused window to bring up the right click menu, left click out of it, and then switch windows.

In addition, if I fullscreen firefox flash on secondary monitor, the only actions are left click on the flash window to toggle play/pause and right click to bring up the flash right click menu.  Clicking anywhere on primary monitor does not do anything and cannot activate hot corner.  Not sure if this is completely related, but it seems to be.

alt-tab allows switching windows and change keyboard focus but not mouse focus (still stuck on before switching window)



Reproducible: Always

Steps to Reproduce:
1.Have a window in focus
2.Move to hot corner (or try to focus on other windows)
3.No results until right click on window in focus

Actual Results:  
No window selection screen or no changing window focus

Expected Results:  
window selection screen or changed window focus

Please let me know if there are any logs I can help with.
Comment 1 linuxfedora1 2015-09-10 02:28:54 EDT
Something like this also happens in a window that I start from terminal and try to click.

(iscan:11749): Gdk-CRITICAL **: IA__gdk_window_get_events: assertion 'GDK_IS_WINDOW (window)' failed

(iscan:11749): GLib-GObject-CRITICAL **: g_object_ref: assertion 'G_IS_OBJECT (object)' failed

(iscan:11749): GLib-GObject-CRITICAL **: g_object_unref: assertion 'G_IS_OBJECT (object)' failed
Comment 2 linuxfedora1 2015-09-13 04:14:29 EDT
Seems related to this bug
https://bugzilla.redhat.com/show_bug.cgi?id=1027524
Comment 3 Fedora End Of Life 2016-07-19 15:18:18 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.